# Vue pivot table | Flexmonster Pivot Table & Charts wrapper for Vue
[![Flexmonster Pivot Table & Charts](https://static.flexmonster.com/uploads/2023/09/08090612/vue.png)](https://www.flexmonster.com?r=wrap_vue)
Website: [flexmonster.com](https://www.flexmonster.com?r=wrap_vue)

[![NPM](https://img.shields.io/npm/v/vue-flexmonster)](https://www.npmjs.com/package/vue-flexmonster)
[![Github Stars](https://img.shields.io/github/stars/flexmonster?style=social)](https://github.com/flexmonster) [![Twitter](https://img.shields.io/twitter/follow/Flexmonster?style=social)](https://twitter.com/Flexmonster)
 

## Flexmonster Pivot Table & Charts

Flexmonster Pivot Table & Charts is a powerful and fully customizable JavaScript component for web reporting. It is packed with all core features for data analysis and can easily become a part of your Vue data visualization project. The tool supports popular frameworks like React, Vue, Blazor, Angular and [more](https://www.flexmonster.com/doc/available-tutorials-integration?r=wrap_vue). Also, Flexmonster connects to any data source, including SQL and NoSQL databases, JSON and CSV files, OLAP cubes, and Elasticsearch. 

This package is a [Flexmonster Pivot](https://www.flexmonster.com?r=wrap_vue) wrapper for [Vue 2](https://v2.vuejs.org/) and [Vue 3](https://vuejs.org) applications.

Table of contents:

* [Integration](#integration)
* [Usage](#usage)
* [Sample project](#sample-project)
* [Support and feedback](#support-and-feedback)
* [License](#license)
* [Social media](#social-media)

## Integration

Flexmonster documentation provides detailed step-by-step guides on [іntegration with Vue 3](https://www.flexmonster.com/doc/integration-with-vue-3?r=wrap_vue) and [іntegration with Vue 2](https://www.flexmonster.com/doc/integration-with-vue-2?r=wrap_vue). 

The tutorial for Vue 3 is also available in video format on our YouTube channel:

[![Vue video tutorial](https://static.flexmonster.com/uploads/2023/09/08092950/Screenshot-2023-09-08-at-12.29.40.png)](https://www.youtube.com/watch?v=Ach8r-kN77A&list=PLh8M6vKONZ5WCQu0gUmlvvttH9xUpN-Cs&index=2)


## Usage

The wrapper provides  the `<Pivot>` component to add the pivot table to the Vue project. Read more about the available props and how to use them in the [the `<Pivot>` component](https://www.flexmonster.com/doc/pivot-component-for-vue-3?r=wrap_vue) documentation.

Explore the available [methods and events](https://www.flexmonster.com/doc/using-methods-and-events-vue-3?r=wrap_vue) to learn the specifics of using and customizing Flexmonster in a Vue 3 application.

## Sample project

If you look for some reference examples, our team prepared a ready-to-use [Vue 3 and Vue 2 pivot grid sample projects](https://github.com/flexmonster/pivot-vue?r=wrap_vue) with live demos of the most popular use cases. Visit the [Vue 3 usage examples documentation](https://www.flexmonster.com/doc/usage-examples-vue-3?r=wrap_vue) page to learn more on how the cases were implemented in a Vue 3 project or [Vue 2 usage examples](https://www.flexmonster.com/doc/usage-examples-vue-3?r=wrap_vue) page if you are interested in older version.

In our documentation, you can also find [a guide for the sample Vue 3 application](https://www.flexmonster.com/doc/sample-vue-3-project/?r=wrap_vue) and for [the sample Vue 2 application](https://www.flexmonster.com/doc/sample-vue-2-project/?r=wrap_vue). There you can learn how to run it and what's inside.



## Support and feedback

In case of any issues, visit our [troubleshooting section](https://www.flexmonster.com/doc/typical-errors?r=wrap_vue). You can also search among the [resolved cases](https://www.flexmonster.com/technical-support?r=wrap_vue) for a solution to your problem.

To share your feedback or ask questions, contact our Tech team by raising a ticket on [Flexmonster Help Center](https://www.flexmonster.com/help-center?r=wrap_vue). You can also find a list of samples, technical specifications, and a user interface guide there.

If you need any help with your license — fill out our [Contact form](https://www.flexmonster.com/contact-our-team?r=wrap_vue), and we will get in touch with you.

## License

Flexmonster Vue wrapper is released as an MIT-licensed (free and open-source) add-on to Flexmonster Pivot.

To learn about Flexmonster Pivot licenses, visit the [Flexmonster licensing page](https://www.flexmonster.com/pivot-table-editions-and-pricing?r=wrap_vue). 
If you want to test our product, we provide a 30-day free trial.

## Social media

Follow us on social media and stay updated on our development process!

[![LinkedIn](https://img.shields.io/badge/LinkedIn-blue?style=for-the-badge&logo=linkedin&logoColor=white)](https://linkedin.com/company/flexmonster) [![YouTube](https://img.shields.io/badge/YouTube-red?style=for-the-badge&logo=youtube&logoColor=white)](https://youtube.com/user/FlexMonsterPivot) [![Twitter](https://img.shields.io/badge/Twitter-blue?style=for-the-badge&logo=twitter&logoColor=white)](https://twitter.com/flexmonster)
